## org.eclipse.emf.codegen.util
Class CodeGenUtil.EclipseUtil.StreamProgressMonitor

    java.lang.Object
      org.eclipse.core.runtime.NullProgressMonitor
          org.eclipse.emf.codegen.util.CodeGenUtil.EclipseUtil.StreamProgressMonitor

All Implemented Interfaces:
  IProgressMonitor

Direct Known Subclasses:
  CodeGen.StreamProgressMonitor, CodeGenUtil.StreamProgressMonitor

Enclosing class:
  CodeGenUtil.EclipseUtil

    public static class CodeGenUtil.EclipseUtil.StreamProgressMonitor

extends NullProgressMonitor

Field Summary
`protected java.io.PrintStream` `printStream`

Fields inherited from interface org.eclipse.core.runtime.IProgressMonitor
`UNKNOWN`

Constructor Summary
`CodeGenUtil.EclipseUtil.StreamProgressMonitor(java.io.PrintStream printStream)`

Method Summary
`void` `beginTask(java.lang.String name, int totalWork)`
`void` `setTaskName(java.lang.String name)`
`void` `subTask(java.lang.String name)`

Methods inherited from class org.eclipse.core.runtime.NullProgressMonitor
`done, internalWorked, isCanceled, setCanceled, worked`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### printStream

    protected java.io.PrintStream printStream

Constructor Detail

### CodeGenUtil.EclipseUtil.StreamProgressMonitor

    public CodeGenUtil.EclipseUtil.StreamProgressMonitor(java.io.PrintStream printStream)

Method Detail

### beginTask

    public void beginTask(java.lang.String name,
                          int totalWork)

  Specified by:
    `beginTask` in interface `IProgressMonitor`
  Overrides:
    `beginTask` in class `NullProgressMonitor`

### setTaskName

    public void setTaskName(java.lang.String name)

  Specified by:
    `setTaskName` in interface `IProgressMonitor`
  Overrides:
    `setTaskName` in class `NullProgressMonitor`

### subTask

    public void subTask(java.lang.String name)

  Specified by:
    `subTask` in interface `IProgressMonitor`
  Overrides:
    `subTask` in class `NullProgressMonitor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.